From 8c0e83f0e9e4302cf94ca733cf11c82b62523f71 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Laur=C3=A9line=20Gu=C3=A9rin?= <zebuline@entrouvert.com>
Date: Thu, 30 Jul 2020 15:15:44 +0200
Subject: [PATCH 1/2] misc: split form_pages tests

---
 tests/form_pages/test_all.py      | 1241 --------------------------
 tests/form_pages/test_block.py    |   17 +-
 tests/form_pages/test_formdata.py | 1358 +++++++++++++++++++++++++++++
 3 files changed, 1359 insertions(+), 1257 deletions(-)
 create mode 100644 tests/form_pages/test_formdata.py

diff --git a/tests/form_pages/test_all.py b/tests/form_pages/test_all.py
index be338691..0e87413d 100644
--- a/tests/form_pages/test_all.py
+++ b/tests/form_pages/test_all.py
@@ -3,12 +3,10 @@
 import json
 import pytest
 import hashlib
-import locale
 import os
 import re
 import time
 import zipfile
-import base64
 from webtest import Upload, Hidden
 import mock
 import xml.etree.ElementTree as ET
@@ -21,12 +19,10 @@ except ImportError:
 from django.utils.six import StringIO, BytesIO
 from django.utils.six.moves.urllib import parse as urlparse
 
-from quixote.http_request import Upload as QuixoteUpload
 from django.utils.encoding import force_bytes, force_text
 
 from wcs.qommon import force_str
 from wcs.qommon.emails import docutils
-from wcs.qommon.form import UploadedFile
 from wcs.qommon.ident.password_accounts import PasswordAccount
 from wcs.carddef import CardDef
 from wcs.formdef import FormDef
@@ -36,9 +32,7 @@ from wcs.workflows import (
     ChoiceWorkflowStatusItem, JumpOnSubmitWorkflowStatusItem,
     CommentableWorkflowStatusItem, WorkflowVariablesFieldsFormDef)
 from wcs.wf.backoffice_fields import SetBackofficeFieldsWorkflowStatusItem
-from wcs.wf.export_to_model import ExportToModel, transform_to_pdf
 from wcs.wf.jump import JumpWorkflowStatusItem
-from wcs.wf.attachment import AddAttachmentWorkflowStatusItem
 from wcs.wf.form import FormWorkflowStatusItem, WorkflowFormFieldsFormDef
 from wcs.wf.register_comment import RegisterCommenterWorkflowStatusItem
 from wcs.wf.resubmit import ResubmitWorkflowStatusItem
@@ -48,7 +42,6 @@ from wcs.categories import Category
 from wcs.roles import Role, logged_users_role
 from wcs.tracking_code import TrackingCode
 from wcs.data_sources import NamedDataSource
-from wcs.wscalls import NamedWsCall
 from wcs import fields
 from wcs.logged_errors import LoggedError
 from wcs.forms.root import PublicFormStatusPage
